ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.HpcInfo

Description

Haskell Program Coverage (HPC) support

Synopsis

- data HpcInfo
  - = HpcInfo {
    - hpcInfoTickCount :: Int
    - hpcInfoHash :: Int
    }
  - | NoHpcInfo
- emptyHpcInfo :: HpcInfo

# Documentation

data HpcInfo #

Information about a modules use of Haskell Program Coverage

Constructors

HpcInfo |

Fields

- hpcInfoTickCount :: Int
- hpcInfoHash :: Int

NoHpcInfo |

emptyHpcInfo :: HpcInfo #